/////////////////////////////////////////////////////////////////////
// OCB (the Object Clustering Benchmark)
// Version 1.0 OCB/O2, January 1999
// Fromantin Christophe
// LIMOS, Blaise Pascal University (Clermont-Ferrand II), France
/////////////////////////////////////////////////////////////////////
// OCB_Class.cc: Class "Class" methods
/////////////////////////////////////////////////////////////////////

 OCB_Class::OCB_Class(){
 }

 void  OCB_Class::Replace_Class(d_Ref<OCB_Class> La_Classe,int num) {
    Les_Classes->replace_element_at(La_Classe,num);
 }

 d_List<d_Ref<OCB_Class> > *OCB_Class::Les_Classes=0;

 void OCB_Class::Restart_Class(int read_only) {
    if(Les_Classes != 0) delete Les_Classes;
    Les_Classes = new d_List<d_Ref<OCB_Class> >("Les_Classes", read_only?OL_READ:OL_WRITE); 
 }

 void OCB_Class::Clear_Class() {
    d_List<d_Ref<OCB_Class> > empty_set;
    OCB_Class::Les_Classes->copy(empty_set);
 }

 void OCB_Class::Insert_Class(d_Ref<OCB_Class> &La_Classe,int v1,int v2,int v3) {
    int ii;
    La_Classe->Id = v1;
    La_Classe->MAXNREF= v2;
    La_Classe->BASESIZE= v3;
    La_Classe->InstanceSize = v3;         
    La_Classe->TRef.resize(v2);
    for (ii=0; ii<v2; ii++) La_Classe->TRef[ii] = Rand(0,NREFT-1,DIST1);         
    Les_Classes->insert_element(La_Classe);
 }
 
 void OCB_Class::Read_Class(d_Ref<OCB_Class> &La_Classe,int num) {
    La_Classe = Les_Classes->retrieve_element_at(num); 

 }
