/////////////////////////////////////////////////////////////////////
// OCB (the Object Clustering Benchmark)
// Version 1.0 OCB/O2, janvier 1999
// Fromantin Christophe
// LIMOS, Blaise Pascal University (Clermont-Ferrand II), France
/////////////////////////////////////////////////////////////////////
// OCB_Object.cc: Class "Object" methods
/////////////////////////////////////////////////////////////////////
 

 OCB_Object::OCB_Object() {
 }
                   
 void  OCB_Object::Replace_Object(d_Ref<OCB_Object> L_Objet,int num) {
       Les_Objets->replace_element_at(L_Objet,num);
 }

 d_List<d_Ref<OCB_Object> > *OCB_Object::Les_Objets=0;

 void OCB_Object::Restart_Object(int read_only) {
    if(Les_Objets != 0) delete Les_Objets;
    Les_Objets = new d_List<d_Ref<OCB_Object> >("Les_Objets", read_only?OL_READ:OL_WRITE); 
} 

 void OCB_Object::Clear_Object() {
    d_List<d_Ref<OCB_Object> > empty_set;
    OCB_Object::Les_Objets->copy(empty_set);
 }

void OCB_Object::Read_Object_Comp(d_Ref<OCB_Object> &L_Objet) {

 d_String Filler;
 int i,nb;

   nb= L_Objet->Filler.cardinality(); if (nb >0) nb=1; 
   for (i=0;i<nb;i++) Filler = L_Objet->Filler[i]; 
 }

 void OCB_Object::Read_Object(d_Ref<OCB_Object> &L_Objet,int num) {
     L_Objet =  Les_Objets->retrieve_element_at(num); 
 }

 void OCB_Object::Insert_Object(d_Ref<OCB_Object> &L_Objet,int v1) {
    int ii,n; 
    d_Ref<OCB_Class> La_Classe;
    L_Objet->Id = v1;
    OCB_Class::Read_Class(La_Classe,Rand(0,NC-1,DIST3));
    L_Objet->ClassPtr = La_Classe;
    L_Objet->ORef.remove_all();
    Les_Objets->insert_element(L_Objet);
    La_Classe->Nb_Object=La_Classe->Nb_Object+1;
    La_Classe->Iterator.insert_element(L_Objet);
 }

 void OCB_Object::Update_Object(d_Ref<OCB_Object> &L_Objet) {
    
    char Chaine_de_Caractere[TUR];
    int ii,n,n1,n2;
 
    for (ii=0; ii<TUR; ii++) Chaine_de_Caractere[ii]=' ';

    n=(L_Objet->ClassPtr->InstanceSize - Object_Size)/(44+6);
    Nb_Filler=Nb_Filler+n;

    n=L_Objet->ClassPtr->InstanceSize - Object_Size;
    n1=n/TUR;
    n2=n-(n1*TUR);

    if (n1>0)  {
       for(ii=0; ii<n1; ii++) 
           L_Objet->Filler.insert_element(Chaine_de_Caractere);}

    if (n2>0) {
    Chaine_de_Caractere[n2-1]='0';
    Chaine_de_Caractere[n2]='\0';
    L_Objet->Filler.insert_element(Chaine_de_Caractere);}
 }


